---
title: <angle>
slug: Web/CSS/angle
tags:
  - CSS
  - CSS Data Type
  - Data Type
  - Layout
  - Reference
  - Web
  - angle
---
<div>{{ CSSRef() }}</div>

<p>The <strong><code>&lt;angle&gt;</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/CSS_Types">data type</a> represents an angle value expressed in degrees, gradians, radians, or turns. It is used, for example, in {{cssxref("&lt;gradient&gt;")}}s and in some {{cssxref("transform")}} functions.</p>

<div>{{EmbedInteractiveExample("pages/css/type-angle.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>&lt;angle&gt;</code> data type consists of a {{cssxref("&lt;number&gt;")}} followed by one of the units listed below. As with all dimensions, there is no space between the unit literal and the number. The angle unit is optional after the number <code>0</code>.</p>

<p>Optionally, it may be preceded by a single <code>+</code> or <code>-</code> sign. Positive numbers represent clockwise angles, while negative numbers represent counterclockwise angles. For static properties of a given unit, any angle can be represented by various equivalent values. For example, <code>90deg</code> equals <code>-270deg</code>, and <code>1turn</code> equals <code>4turn</code>. For dynamic properties, like when applying an {{cssxref("animation")}} or {{cssxref("transition")}}, the effect will nevertheless be different.</p>

<h3 id="Units">Units</h3>

<dl>
 <dt><code><a id="deg">deg</a></code></dt>
 <dd>Represents an angle in <a class="external" href="http://en.wikipedia.org/wiki/Degree_%28angle%29">degrees</a>. One full circle is <code>360deg</code>. Examples: <code>0deg</code>, <code>90deg</code>, <code>14.23deg</code>.</dd>
 <dt id="grad"><code><a id="grad">grad</a></code></dt>
 <dd>Represents an angle in <a class="external" href="http://en.wikipedia.org/wiki/Gradian">gradians</a>. One full circle is <code>400grad</code>. Examples: <code>0grad</code>, <code>100grad</code>, <code>38.8grad</code>.</dd>
 <dt id="rad"><code><a id="rad">rad</a></code></dt>
 <dd>Represents an angle in <a class="external" href="http://en.wikipedia.org/wiki/Radian">radians</a>. One full circle is 2π radians which approximates to <code>6.2832rad</code>. <code>1rad</code> is 180/π degrees. Examples: <code>0rad</code>, <code>1.0708rad</code>, <code>6.2832rad</code>.</dd>
 <dt id="turn"><code><a id="turn">turn</a></code></dt>
 <dd>Represents an angle in a number of turns. One full circle is <code>1turn</code>. Examples: <code>0turn</code>, <code>0.25turn</code>, <code>1.2turn</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_clockwise_right_angle">Setting a clockwise right angle</h3>

<table style="width: 100%;">
 <tbody>
  <tr>
   <td><img alt="Angle90.png" class="default internal" src="/@api/deki/files/5704/=Angle90.png"></td>
   <td><code>90deg = 100grad = 0.25turn ≈ 1.5708rad</code></td>
  </tr>
 </tbody>
</table>

<h3 id="Setting_a_flat_angle">Setting a flat angle</h3>

<table style="width: 100%;">
 <tbody>
  <tr>
   <td><img alt="Angle180.png" class="default internal" src="/@api/deki/files/5706/=Angle180.png"></td>
   <td><code>180deg = 200grad = 0.5turn ≈ 3.1416rad</code></td>
  </tr>
 </tbody>
</table>

<h3 id="Setting_a_counterclockwise_right_angle">Setting a counterclockwise right angle</h3>

<table style="width: 100%;">
 <tbody>
  <tr>
   <td><img alt="AngleMinus90.png" class="default internal" src="/@api/deki/files/5707/=AngleMinus90.png"></td>
   <td><code>-90deg = -100grad = -0.25turn ≈ -1.5708rad</code></td>
  </tr>
 </tbody>
</table>

<h3 id="Setting_a_null_angle">Setting a null angle</h3>

<table style="width: 100%;">
 <tbody>
  <tr>
   <td><img alt="Angle0.png" class="default internal" src="/@api/deki/files/5708/=Angle0.png"></td>
   <td><code>0 = 0deg = 0grad = 0turn = 0rad</code></td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS4 Values', '#angles', '&lt;angle&gt;') }}</td>
   <td>{{ Spec2('CSS4 Values') }}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{ SpecName('CSS3 Values', '#angles', '&lt;angle&gt;') }}</td>
   <td>{{ Spec2('CSS3 Values') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.types.angle")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Types">CSS data types</a></li>
 <li>The <code><a href="/en-US/docs/Web/CSS/gradient">&lt;gradient&gt;</a></code> type</li>
 <li>CSS rotation transforms: <code><a href="/en-US/docs/Web/CSS/transform-function/rotate">rotate()</a></code>, <code><a href="/en-US/docs/Web/CSS/transform-function/rotate3d">rotate3d()</a></code>, <code><a href="/en-US/docs/Web/CSS/transform-function/rotateX">rotateX()</a></code>, <code><a href="/en-US/docs/Web/CSS/transform-function/rotateY">rotateY()</a></code>, and <code><a href="/en-US/docs/Web/CSS/transform-function/rotateZ">rotateZ()</a></code></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Transforms">CSS transforms</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Transforms/Using_CSS_transforms">Using CSS transforms</a></li>
 <li><a href="/en-US/docs/Web/CSS/CSS_Images/Using_CSS_gradients">Using CSS gradients</a></li>
</ul>
